org.apache.xerces.xni.parser

## Class XMLConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xerces.xni.XNIException
        - - org.apache.xerces.xni.parser.XMLConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class XMLConfigurationException
    extends XNIException

An XNI parser configuration exception. This exception class extends `XNIException` in order to differentiate between general parsing errors and configuration errors.

Version:
  $Id: XMLConfigurationException.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `fIdentifier` Identifier.
`protected short` `fType` Exception type.
`static short` `NOT_RECOGNIZED` Exception type: identifier not recognized.
`static short` `NOT_SUPPORTED` Exception type: identifier not supported.

### Constructor Summary

Constructors
Constructor and Description
`XMLConfigurationException(short type, java.lang.String identifier)` Constructs a configuration exception with the specified type and feature/property identifier.
`XMLConfigurationException(short type, java.lang.String identifier, java.lang.String message)` Constructs a configuration exception with the specified type, feature/property identifier, and error message

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getIdentifier()` Returns the feature or property identifier.
`short` `getType()` Returns the exception type.

### Methods inherited from class org.apache.xerces.xni.XNIException

`getCause, getException, initCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NOT_RECOGNIZED

    public static final short NOT_RECOGNIZED

Exception type: identifier not recognized.

See Also:
  Constant Field Values

#### NOT_SUPPORTED

    public static final short NOT_SUPPORTED

Exception type: identifier not supported.

See Also:
  Constant Field Values

#### fType

    protected short fType

Exception type.

#### fIdentifier

    protected java.lang.String fIdentifier

Identifier.

### Constructor Detail

#### XMLConfigurationException

    public XMLConfigurationException(short type,
                                     java.lang.String identifier)

Constructs a configuration exception with the specified type and feature/property identifier.

Parameters:
  `type` - The type of the exception.
  `identifier` - The feature or property identifier.
See Also:
  `NOT_RECOGNIZED`, `NOT_SUPPORTED`

#### XMLConfigurationException

    public XMLConfigurationException(short type,
                                     java.lang.String identifier,
                                     java.lang.String message)

Constructs a configuration exception with the specified type, feature/property identifier, and error message

Parameters:
  `type` - The type of the exception.
  `identifier` - The feature or property identifier.
  `message` - The error message.
See Also:
  `NOT_RECOGNIZED`, `NOT_SUPPORTED`

### Method Detail

#### getType

    public short getType()

Returns the exception type.

See Also:
  `NOT_RECOGNIZED`, `NOT_SUPPORTED`

#### getIdentifier

    public java.lang.String getIdentifier()

Returns the feature or property identifier.